/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.core.register.tag;

import net.minecraft.core.registries.Registries;
import net.minecraft.tags.TagKey;
import net.minecraft.world.item.Item;
import org.jetbrains.annotations.NotNull;
import top.r3944realms.eroticdungeongame.EroticDungeon;

public class EDGItemTags {
    public static final TagKey<Item> SEAT =             tag("seat");
    public static final TagKey<Item>  CUFF_BED =        tag("cuff_bed");
    public static final TagKey<Item>  RACK =            tag("rack");
    public static final TagKey<Item>  X_CROSS =         tag("x_cross");
    public static final TagKey<Item>  PETRINE_CROSS =   tag("petrine_cross");
    public static final TagKey<Item>  CRUX =            tag("crux");
    public static final TagKey<Item>  SPANISH_DONKEY =  tag("spanish_donkey");
    public static final TagKey<Item>  PILLORY =         tag("pillory");
    public static final TagKey<Item>  WALL_RACK =       tag("wall_rack");
    public static final TagKey<Item>  CUFF_POLE =       tag("cuff_pole");
    public static final TagKey<Item>  PRONE_BENCH =     tag("prone_bench");
    public static final TagKey<Item>  HANGING_POST =    tag("hanging_post");
    private static @NotNull TagKey<Item> tag(String name) {
        return TagKey.create(Registries.ITEM, EroticDungeon.rl(EroticDungeon.MOD_ID, "item/" + name));
    }
}
